# $Header: /cvs/stx/stx/libview/Make.spec,v 1.1 2004-09-20 09:00:54 ca Exp $
#

MODULE=stx
MODULE_DIR=libview
LIBNAME=libview
THIS_IS_A_BASE_LIBRARY="yes"
PACKAGE=$(MODULE):$(LIBNAME)

WIN32_OBJS=$(OUTDIR)WinWorkstation.$(O)

NOTINLIBOBJS= \
	    $(OUTDIR)$(WORKSTAT1).$(O)               \
	    $(OUTDIR)$(WORKSTAT2).$(O)

REQUIREDOBJS= \
	    $(OUTDIR)GraphicsDevice.$(O)             \
	    $(OUTDIR)HostGraphicsDevice.$(O)         \
	    $(OUTDIR)DeviceWorkstation.$(O)          \
	    $(OUTDIR)Image.$(O)                      \
	      $(OUTDIR)Depth1Image.$(O)              \
	      $(OUTDIR)Depth2Image.$(O)              \
	      $(OUTDIR)Depth4Image.$(O)              \
	      $(OUTDIR)Depth8Image.$(O)              \
	      $(OUTDIR)Depth24Image.$(O)             \
	    $(OUTDIR)ImageReader.$(O)

SMALLOBJFILES= \
	    $(REQUIREDOBJS)

#
# those can be compiled for space - not time critical
#
UNCRITICALOBJS= \
	  $(OUTDIR)DisplayRootView.$(O)              \
	  $(OUTDIR)AlphaMask.$(O)

OPENGLOBJS= \
	  $(OUTDIR)OpenGLConstants.$(O)


LIBOBJS= \
	  $(REQUIREDOBJS)                            \
	    $(OUTDIR)Color.$(O)                      \
	    $(OUTDIR)Colormap.$(O)                   \
	      $(OUTDIR)ColorPalette.$(O)             \
	      $(OUTDIR)MappedPalette.$(O)            \
	      $(OUTDIR)MonoMappedPalette.$(O)        \
	    $(OUTDIR)FontDescription.$(O)            \
	      $(OUTDIR)Font.$(O)                     \
	    $(OUTDIR)Cursor.$(O)                     \
	    $(OUTDIR)DeviceHandle.$(O)               \
	    $(OUTDIR)GraphicsContext.$(O)            \
	      $(OUTDIR)DeviceGraphicsContext.$(O)    \
	      $(OUTDIR)GraphicsMedium.$(O)           \
		  $(OUTDIR)Form.$(O)                 \
		  $(OUTDIR)DisplaySurface.$(O)       \
		    $(OUTDIR)SimpleView.$(O)         \
		      $(OUTDIR)View.$(O)             \
			$(OUTDIR)TopView.$(O)        \
			  $(OUTDIR)StandardSystemView.$(O) \
			    $(OUTDIR)ModalBox.$(O)   \
			  $(OUTDIR)PopUpView.$(O)    \
			$(OUTDIR)ShadowView.$(O)     \
		      $(OUTDIR)DisplayRootView.$(O)  \
	    $(OUTDIR)Controller.$(O)                 \
	    $(OUTDIR)WindowingTransformation.$(O)    \
	    $(OUTDIR)WindowEvent.$(O)                \
	    $(OUTDIR)WindowGroup.$(O)                \
	    $(OUTDIR)WindowSensor.$(O)               \
	      $(OUTDIR)SynchronousWindowSensor.$(O)  \
	    $(OUTDIR)KeyboardForwarder.$(O)          \
	    $(OUTDIR)KeyboardMap.$(O)                \
	    $(OUTDIR)ResourcePack.$(O)               \
	      $(OUTDIR)ViewStyle.$(O)                \
	    $(OUTDIR)Depth16Image.$(O)               \
	    $(OUTDIR)Depth32Image.$(O)               \
	    $(OUTDIR)ImageMask.$(O)

OBJS = \
	  $(LIBOBJS)            \
	  $(MOREOBJS)           \
	  $(OPENGLOBJS)         \
	  $(NOTINLIBOBJS)
